### Hierarchy

- INode

### Implemented by

- Node

## Index

### Methods

- addAttributes
- addClasses
- addDataAttributes
- appendChild
- containsClass
- find
- findAll
- getAttribute
- getChildWithId
- getParentByClass
- innerText
- onClick
- parent
- removeAttributes
- removeChild
- removeClasses
- setId
- setName
- setRequired
- setStyle
- toggle
- toggleClass
- unwrap

## Methods

### addAttributes

- addAttributes(map: __type): INode

- - Defined in lib/support/node.ts:14

  #### Parameters

  - ##### map: __type

  #### Returns INode

### addClasses

- addClasses(classes: string[]): INode

- - Defined in lib/support/node.ts:43

  #### Parameters

  - ##### Rest classes: string[]

  #### Returns INode

### addDataAttributes

- addDataAttributes(map: __type): INode

- - Defined in lib/support/node.ts:36

  #### Parameters

  - ##### map: __type

  #### Returns INode

### appendChild

- appendChild(node: INode | string): INode

- - Defined in lib/support/node.ts:65

  #### Parameters

  - ##### node: INode | string

  #### Returns INode

### containsClass

- containsClass(className: string): boolean

- - Defined in lib/support/node.ts:57

  #### Parameters

  - ##### className: string

  #### Returns boolean

### find

- find(selector: string): INode

- - Defined in lib/support/node.ts:94

  #### Parameters

  - ##### selector: string

  #### Returns INode

### findAll

- findAll(selector: string): Array<INode>

- - Defined in lib/support/node.ts:96

  #### Parameters

  - ##### selector: string

  #### Returns Array<INode>

### getAttribute

- getAttribute(qualifier: string): string | null

- - Defined in lib/support/node.ts:28

  #### Parameters

  - ##### qualifier: string

  #### Returns string | null

### getChildWithId

- getChildWithId(): INode | null

- - Defined in lib/support/node.ts:82

  #### Returns INode | null

### getParentByClass

- getParentByClass(className: string): INode | undefined

- - Defined in lib/support/node.ts:77

  #### Parameters

  - ##### className: string

  #### Returns INode | undefined

### innerText

- innerText(str: undefined | string): INode

- - Defined in lib/support/node.ts:98

  #### Parameters

  - ##### Optional str: undefined | string

  #### Returns INode

### onClick

- onClick(callback: function, options: AddEventListenerOptions): void

- - Defined in lib/support/node.ts:86

  #### Parameters

  - ##### callback: function

    - - (e: MouseEvent): void

      - #### Parameters

        - ##### e: MouseEvent

        #### Returns void

  - ##### Optional options: AddEventListenerOptions

  #### Returns void

### parent

- parent(): INode | null

- - Defined in lib/support/node.ts:88

  #### Returns INode | null

### removeAttributes

- removeAttributes(qualifiers: string[]): INode

- - Defined in lib/support/node.ts:21

  #### Parameters

  - ##### Rest qualifiers: string[]

  #### Returns INode

### removeChild

- removeChild(node: INode): void

- - Defined in lib/support/node.ts:90

  #### Parameters

  - ##### node: INode

  #### Returns void

### removeClasses

- removeClasses(classes: string[]): INode

- - Defined in lib/support/node.ts:50

  #### Parameters

  - ##### Rest classes: string[]

  #### Returns INode

### setId

- setId(id: undefined | string): INode

- - Defined in lib/support/node.ts:104

  #### Parameters

  - ##### Optional id: undefined | string

  #### Returns INode

### setName

- setName(name: undefined | string): INode

- - Defined in lib/support/node.ts:102

  #### Parameters

  - ##### Optional name: undefined | string

  #### Returns INode

### setRequired

- setRequired(required: undefined | false | true): INode

- - Defined in lib/support/node.ts:106

  #### Parameters

  - ##### Optional required: undefined | false | true

  #### Returns INode

### setStyle

- setStyle(map: object): INode

- - Defined in lib/support/node.ts:100

  #### Parameters

  - ##### map: object

    - ##### [key: string]: string

  #### Returns INode

### toggle

- toggle(): void

- - Defined in lib/support/node.ts:84

  #### Returns void

### toggleClass

- toggleClass(className: string): void

- - Defined in lib/support/node.ts:72

  #### Parameters

  - ##### className: string

  #### Returns void

### unwrap

- unwrap(): HTMLElement

- - Defined in lib/support/node.ts:92

  #### Returns HTMLElement

Generated using TypeDoc